From 7bdeedebdb06e19e377d94253ab296a2898347b2 Mon Sep 17 00:00:00 2001
From: Taiki Koshino <koshino@sraoss.co.jp>
Date: Wed, 2 Jul 2025 09:05:52 +0900
Subject: [PATCH v1] Fix documentation for enum parameters reported as strings

Fix documentations for 5 parameters.
Japanese docs too.
"log_standby_delay"
"log_backend_messages"
"wd_lifecheck_method"
"memqcache_method"
"disable_load_balance_on_write"
---
 doc.ja/src/sgml/connection-pooling.sgml | 2 +-
 doc.ja/src/sgml/loadbalance.sgml        | 2 +-
 doc.ja/src/sgml/memcache.sgml           | 2 +-
 doc.ja/src/sgml/stream-check.sgml       | 2 +-
 doc.ja/src/sgml/watchdog.sgml           | 2 +-
 doc/src/sgml/connection-pooling.sgml    | 2 +-
 doc/src/sgml/loadbalance.sgml           | 2 +-
 doc/src/sgml/memcache.sgml              | 2 +-
 doc/src/sgml/stream-check.sgml          | 2 +-
 doc/src/sgml/watchdog.sgml              | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/doc.ja/src/sgml/connection-pooling.sgml b/doc.ja/src/sgml/connection-pooling.sgml
index 50b7a23c6..e9c8253c7 100644
--- a/doc.ja/src/sgml/connection-pooling.sgml
+++ b/doc.ja/src/sgml/connection-pooling.sgml
@@ -1214,7 +1214,7 @@ local0.*    /var/log/pgpool.log
    </varlistentry>
 
    <varlistentry id="guc-log-backend-messages" xreflabel="log_backend_messages">
-    <term><varname>log_backend_messages</varname> (<type>boolean</type>)
+    <term><varname>log_backend_messages</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>log_backend_messages</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/loadbalance.sgml b/doc.ja/src/sgml/loadbalance.sgml
index 670187180..87cfa8e97 100644
--- a/doc.ja/src/sgml/loadbalance.sgml
+++ b/doc.ja/src/sgml/loadbalance.sgml
@@ -1421,7 +1421,7 @@ app_name_redirect_preference_list &gt; database_redirect_preference_list &gt; us
    </varlistentry>
 
    <varlistentry id="guc-disable-load-balance-on-write" xreflabel="disable_load_balance_on_write">
-    <term><varname>disable_load_balance_on_write</varname> (<type>string</type>)
+    <term><varname>disable_load_balance_on_write</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>disable_load_balance_on_write</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/memcache.sgml b/doc.ja/src/sgml/memcache.sgml
index 8267c89e0..41f5b6add 100644
--- a/doc.ja/src/sgml/memcache.sgml
+++ b/doc.ja/src/sgml/memcache.sgml
@@ -256,7 +256,7 @@
   <variablelist>
 
    <varlistentry id="guc-memqcache-method" xreflabel="memqcache_method">
-    <term><varname>memqcache_method</varname> (<type>string</type>)
+    <term><varname>memqcache_method</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>memqcache_method</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/stream-check.sgml b/doc.ja/src/sgml/stream-check.sgml
index 7295faef9..58220741a 100644
--- a/doc.ja/src/sgml/stream-check.sgml
+++ b/doc.ja/src/sgml/stream-check.sgml
@@ -388,7 +388,7 @@ GRANT pg_monitor TO sr_check_user;
    </varlistentry>
 
   <varlistentry id="guc-log-standby-delay" xreflabel="log_standby_delay">
-   <term><varname>log_standby_delay</varname> (<type>string</type>)
+   <term><varname>log_standby_delay</varname> (<type>enum</type>)
     <indexterm>
      <!--
      <primary><varname>log_standby_delay</varname> configuration parameter</primary>
diff --git a/doc.ja/src/sgml/watchdog.sgml b/doc.ja/src/sgml/watchdog.sgml
index ceb546079..c84ba4906 100644
--- a/doc.ja/src/sgml/watchdog.sgml
+++ b/doc.ja/src/sgml/watchdog.sgml
@@ -1320,7 +1320,7 @@
   <variablelist>
 
    <varlistentry id="guc-wd-lifecheck-method" xreflabel="wd_lifecheck_method">
-    <term><varname>wd_lifecheck_method</varname> (<type>string</type>)
+    <term><varname>wd_lifecheck_method</varname> (<type>enum</type>)
      <indexterm>
       <!--
       <primary><varname>wd_lifecheck_method</varname> configuration parameter</primary>
diff --git a/doc/src/sgml/connection-pooling.sgml b/doc/src/sgml/connection-pooling.sgml
index 9f6a751cd..f6ebb773c 100644
--- a/doc/src/sgml/connection-pooling.sgml
+++ b/doc/src/sgml/connection-pooling.sgml
@@ -791,7 +791,7 @@
    </varlistentry>
 
    <varlistentry id="guc-log-backend-messages" xreflabel="log_backend_messages">
-    <term><varname>log_backend_messages</varname> (<type>boolean</type>)
+    <term><varname>log_backend_messages</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>log_backend_messages</varname> configuration parameter</primary>
      </indexterm>
diff --git a/doc/src/sgml/loadbalance.sgml b/doc/src/sgml/loadbalance.sgml
index 2b186467a..ee19fabeb 100644
--- a/doc/src/sgml/loadbalance.sgml
+++ b/doc/src/sgml/loadbalance.sgml
@@ -1039,7 +1039,7 @@ app_name_redirect_preference_list &gt; database_redirect_preference_list &gt; us
    </varlistentry>
 
    <varlistentry id="guc-disable-load-balance-on-write" xreflabel="disable_load_balance_on_write">
-    <term><varname>disable_load_balance_on_write</varname> (<type>string</type>)
+    <term><varname>disable_load_balance_on_write</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>disable_load_balance_on_write</varname> configuration parameter</primary>
      </indexterm>
diff --git a/doc/src/sgml/memcache.sgml b/doc/src/sgml/memcache.sgml
index 9888b8865..49ac73595 100644
--- a/doc/src/sgml/memcache.sgml
+++ b/doc/src/sgml/memcache.sgml
@@ -192,7 +192,7 @@
   <variablelist>
 
    <varlistentry id="guc-memqcache-method" xreflabel="memqcache_method">
-    <term><varname>memqcache_method</varname> (<type>string</type>)
+    <term><varname>memqcache_method</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>memqcache_method</varname> configuration parameter</primary>
      </indexterm>
diff --git a/doc/src/sgml/stream-check.sgml b/doc/src/sgml/stream-check.sgml
index 8515b6510..90fd61820 100644
--- a/doc/src/sgml/stream-check.sgml
+++ b/doc/src/sgml/stream-check.sgml
@@ -310,7 +310,7 @@ GRANT pg_monitor TO sr_check_user;
   </varlistentry>
 
   <varlistentry id="guc-log-standby-delay" xreflabel="log_standby_delay">
-   <term><varname>log_standby_delay</varname> (<type>string</type>)
+   <term><varname>log_standby_delay</varname> (<type>enum</type>)
     <indexterm>
      <primary><varname>log_standby_delay</varname> configuration parameter</primary>
     </indexterm>
diff --git a/doc/src/sgml/watchdog.sgml b/doc/src/sgml/watchdog.sgml
index 0a238f302..2588a0a9b 100644
--- a/doc/src/sgml/watchdog.sgml
+++ b/doc/src/sgml/watchdog.sgml
@@ -951,7 +951,7 @@ pgpool_port2 = 9999
   <variablelist>
 
    <varlistentry id="guc-wd-lifecheck-method" xreflabel="wd_lifecheck_method">
-    <term><varname>wd_lifecheck_method</varname> (<type>string</type>)
+    <term><varname>wd_lifecheck_method</varname> (<type>enum</type>)
      <indexterm>
       <primary><varname>wd_lifecheck_method</varname> configuration parameter</primary>
      </indexterm>
-- 
2.43.5

